.TH PSSELECT 1 "PSUtils Release @RELEASE@ Patchlevel @PATCHLEVEL@"
.SH NAME
psselect \- select pages from a PostScript file
.SH SYNOPSIS
.B psselect
[
.B \-q
] [
.B \-e
] [
.B \-o
] [
.B \-r
] [
.B \-p\fIpages\fR
] [
.I pages
] [
.I infile
[
.I outfile
] ]
.SH DESCRIPTION
.I Psselect
selects pages from a PostScript document, creating a new PostScript file. The
input PostScript file should follow the Adobe Document Structuring
Conventions.
.PP
The 
.I \-e
option selects all of the even pages; it may be used in conjunction with the
other page selection options to select the even pages from a range of pages.
.PP
The 
.I \-o
option selects all of the odd pages; it may be used in conjunction with the
other page selection options.
.PP
The 
.I \-p\fIpages\fR
option specifies the pages which are to be selected.
.I Pages
is a comma separated list of page ranges, each of which may be a page number,
or a page range of the form \fIfirst\fR-\fIlast\fR. If \fIfirst\fR is omitted,
the
first page is assumed, and if \fIlast\fR is omitted, the last page is assumed.

The prefix character `_' indicates that the page number is relative to the end
of the document, counting backwards. If just this character with no page
number is used, a blank page will be inserted.
.PP
The 
.I \-r
option causes
.I psselect
to output the selected pages in reverse order.
.PP
Psselect normally prints the page numbers of the pages rearranged; the
.I \-q
option suppresses this.
.PP
If any of the
.I \-r, \-e,
or
.I \-o
options are specified, the page range must be given with the
.I \-p
option. This is for backwards compatibility with previous versions.

.SH NOTES
The page number given to
.I psselect
is the number of the page counting from the start or end of the file, starting
at one. The actual page number in the document may be different.
.SH AUTHOR
Copyright (C) Angus J. C. Duggan 1991-1995
.SH "SEE ALSO"
@MAN@
.SH TRADEMARKS
.B PostScript
is a trademark of Adobe Systems Incorporated.
.SH BUGS
.I Psselect
does not accept all DSC comments.
